# Uses of Class
org.sunflow.core.Options

Packages that use Options
Package
Description
org.sunflow.core
org.sunflow.core.gi
org.sunflow.core.photonmap
org.sunflow.core.renderer

## Uses of Options in org.sunflow.core

Methods in org.sunflow.core with parameters of type Options
Modifier and Type
Method
Description
`boolean`
Scene.`calculatePhotons(PhotonStore map, String type, int seed, Options options)`
Create a photon map as prescribed by the given `PhotonStore`.
`boolean`
GIEngine.`init(Options options, Scene scene)`
Initialize the engine.
`boolean`
ImageSampler.`prepare(Options options, Scene scene, int w, int h)`
Prepare the sampler for rendering an image of w x h pixels
`void`
PhotonStore.`prepare(Options options, BoundingBox sceneBounds)`
Initialize this object for the specified scene size.
`void`
Scene.`render(Options options, ImageSampler sampler, Display display)`
Render the scene using the specified options, image sampler and display.

## Uses of Options in org.sunflow.core.gi

Methods in org.sunflow.core.gi with parameters of type Options
Modifier and Type
Method
Description
`boolean`
AmbientOcclusionGIEngine.`init(Options options, Scene scene)`
`boolean`
FakeGIEngine.`init(Options options, Scene scene)`
`boolean`
InstantGI.`init(Options options, Scene scene)`
`boolean`
IrradianceCacheGIEngine.`init(Options options, Scene scene)`
`boolean`
PathTracingGIEngine.`init(Options options, Scene scene)`

## Uses of Options in org.sunflow.core.photonmap

Methods in org.sunflow.core.photonmap with parameters of type Options
Modifier and Type
Method
Description
`void`
CausticPhotonMap.`prepare(Options options, BoundingBox sceneBounds)`
`void`
GlobalPhotonMap.`prepare(Options options, BoundingBox sceneBounds)`
`void`
GridPhotonMap.`prepare(Options options, BoundingBox sceneBounds)`

## Uses of Options in org.sunflow.core.renderer

Methods in org.sunflow.core.renderer with parameters of type Options
Modifier and Type
Method
Description
`boolean`
BucketRenderer.`prepare(Options options, Scene scene, int w, int h)`
`boolean`
MultipassRenderer.`prepare(Options options, Scene scene, int w, int h)`
`boolean`
ProgressiveRenderer.`prepare(Options options, Scene scene, int w, int h)`
`boolean`
SimpleRenderer.`prepare(Options options, Scene scene, int w, int h)`